#pragma once
#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include <set>
#include <algorithm>
#include <cmath>
using namespace std;

namespace uwb_slam{

    class Filter{
    public:
        Filter();
        void LPF(vector<float>& data, int threshold);
    private:
        bool init_flag=true;
        vector<float> predata;

    };
};